=== debian/control ===
Source: android-tools
Section: devel
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://developer.android.com/guide/developing/tools/adb.html

Package: android-tools-adb
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Debug Bridge CLI tool
 Android Debug Bridge (adb) is a versatile tool lets you manage the state of an
 emulator instance or Android-powered device. It is a client-server program
 that includes three components:
 .
 A client, which runs on your development machine. You can invoke a client from
 a shell by issuing an adb command. Other Android tools such as the ADT plugin
 and DDMS also create adb clients.  
 .
 A server, which runs as a background process on your development machine.  The
 server manages communication between the client and the adb daemon running on
 an emulator or device.  
 .
 A daemon, which runs as a background process on each emulator or device
 instance.

Package: android-tools-fastboot
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fastboot protocol CLI tool
 Fastboot is protocol used to update the flash filesystem in Android devices
 from a host over USB. It allows flashing of unsigned partition images.
