## android-tools 4.2.2+git20130218

=== debian/changelog ===
android-tools (4.2.2+git20130218-3ubuntu41) vivid; urgency=medium

  core/adbd/services.c:
  * disable all support for "adb root" (LP: #1367304)
  * check screen lock state before allowing adb push/pull (LP: #1423293)
  * move the screen lock check for adb shell to the arg processing code
  * fix description of android-tools-adbd (LP: #1264427)
  * use the right path for the lock check override file (LP: #1414288)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 02 Mar 2015 13:30:02 +0100

android-tools (4.2.2+git20130218-3ubuntu40) vivid; urgency=medium

  * add check for screen locking to adbd (LP: #1382559)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 27 Feb 2015 11:59:19 +0100

android-tools (4.2.2+git20130218-3ubuntu39) vivid; urgency=medium

  * debian/patches/add-meizu-vendor-id.patch: Add USB vendor id for Meizu.
  * debian/android-tools-adb.udev: Add udev rules for Meizu. Add a new USB
    device ID for the BQ Aquaris which is exposed when only adb is active.

 -- Jani Monoses <jani.monoses@canonical.com>  Tue, 17 Feb 2015 15:29:22 +0200

android-tools (4.2.2+git20130218-3ubuntu38) vivid; urgency=medium

  * roll back the last change, the lab is not ready for it and rtm is missing
    a one liner fix.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 24 Nov 2014 21:40:59 +0100

android-tools (4.2.2+git20130218-3ubuntu37) vivid; urgency=medium

  * check screen lock state before allowing establishing a connection
    (LP: #1382559), thanks to Manuel de la Peña <manuel@canonical.com> for the
    fix.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 24 Nov 2014 12:21:28 +0100

android-tools (4.2.2+git20130218-3ubuntu36) utopic; urgency=medium

  * fix shell environment for interactive "adb shell" sessions (LP: #1374650)
  * drop check for "username matches password" (LP: #1371048)

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 27 Sep 2014 09:35:31 +0000

android-tools (4.2.2+git20130218-3ubuntu35) utopic; urgency=medium

  * wait for lightdm session to fix adbd in the emulator and also improve
  the image smoke testing environment

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 13 Sep 2014 15:57:23 +0200

android-tools (4.2.2+git20130218-3ubuntu34) utopic; urgency=medium

  * fix messed up adbd path

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 11 Sep 2014 11:44:49 +0200

android-tools (4.2.2+git20130218-3ubuntu33) utopic; urgency=medium

  * drop env vars from adbd job, they are not needed here

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 10 Sep 2014 12:42:47 +0200

android-tools (4.2.2+git20130218-3ubuntu32) utopic; urgency=medium

  * fix environment for remote execution of adb shell commands

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 07 Sep 2014 21:43:30 +0200

android-tools (4.2.2+git20130218-3ubuntu31) utopic; urgency=medium

  * drop libxcrypt-dev build-dep, this is definitely not what we want

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Sep 2014 21:13:29 +0200

android-tools (4.2.2+git20130218-3ubuntu30) utopic; urgency=medium

  * flip dh_installudev commands around so our /dev/android_adb rule gets
    proper priority at 98

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Sep 2014 17:42:47 +0200

android-tools (4.2.2+git20130218-3ubuntu29) utopic; urgency=medium

  * fix homedir handling for dropped root

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Sep 2014 00:16:25 +0200

android-tools (4.2.2+git20130218-3ubuntu28) utopic; urgency=medium

  * debian/patches/add_adbd.patch: drop privileges on shell connection to
    hardcoded "phablet" user, disallow root in shells
  * add udev rule to allow phablet group to connect to /dev/android_usb
  * adjust upstart job for adbd to handle the phablet user
  * make sure the upstart job only tries to mount a functionfs alias if there
    was an alias defined in /sys/class/android_usb/android0/f_ffs/aliases
  * ship our own functionfs header file as the one in linux-libc-dev comes
    from mainline and is incompatible with the ancient android kernels we use
  * add build dep for libcrypt-dev (since we check the password of the phablet
    user on shell connections)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 04 Sep 2014 21:52:13 +0200

android-tools (4.2.2+git20130218-3ubuntu27) utopic; urgency=medium

  * debian/android-tools-adb.udev: Add udev rules for BQ.

 -- Jani Monoses <jani.monoses@canonical.com>  Wed, 13 Aug 2014 15:15:39 +0300

android-tools (4.2.2+git20130218-3ubuntu26) utopic; urgency=medium

  * debian/patches/add-bq-vendor-id.patch: Add USB vendor id for BQ.

 -- Jani Monoses <jani.monoses@canonical.com>  Wed, 30 Jul 2014 10:01:05 +0300

android-tools (4.2.2+git20130218-3ubuntu25) utopic; urgency=medium

  * No-change rebuild to get dbgsyms for all binaries onto
    ddebs.ubuntu.com

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 11:34:46 -0700

android-tools (4.2.2+git20130218-3ubuntu24) utopic; urgency=medium

  * do not fail (re)starting adbd if the functionfs is already mounted.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 02 May 2014 14:18:27 +0200

android-tools (4.2.2+git20130218-3ubuntu23) trusty; urgency=medium

  * Start adbd under a PAM session, such that it has the default system
    locale and environmental variables set. (LP: #1267117)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 18:57:22 +0100

android-tools (4.2.2+git20130218-3ubuntu22) trusty; urgency=medium

  * Add bash completion for adb and fastboot

 -- Chris Wayne <chris.wayne@canonical.com>  Thu, 13 Mar 2014 18:10:45 -0400

android-tools (4.2.2+git20130218-3ubuntu21) trusty; urgency=low

  * rework adbd upstart job to react to changes of the persist.sys.usb.config
    property, on devices where functionfs is used (manta) we now mount the
    functionfs layer to make the usb gadget usable by adb.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 06 Mar 2014 17:29:43 +0100

android-tools (4.2.2+git20130218-3ubuntu20) trusty; urgency=medium

  * do not reset android_usb device on startup to not cause unwanted
    disconnects


