=== debian/rules ===
--- 
+++ 
@@ -35,5 +35,7 @@
 	$(INSTALL_PROGRAM) extras/ext4_utils/mkuserimg.sh debian/android-tools-fsutils/usr/bin/mkuserimg
 
 override_dh_installudev:
-	dh_installudev --priority=70
+	dh_installudev -p android-tools-adb --priority=70
+	dh_installudev -p android-tools-fastboot --priority=70
+	dh_installudev -p android-tools-adbd --priority=98
