## android-tools 4.2.2+git20130529

=== debian/changelog ===
android-tools (4.2.2+git20130529-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add patch for CVE-2014-1909 (Closes: #770513)

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Nov 2014 21:35:22 +0100

android-tools (4.2.2+git20130529-5) unstable; urgency=low

  * use system group 'adb' for udev rules (Closes: #766399)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 22 Oct 2014 19:43:35 -0400

android-tools (4.2.2+git20130529-4) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * set "Android Tools" as Maintainer, add myself as Uploader, remove Marcin
  * update udev rules (Closes: #690453, #754566)
  * fix odd language in Description (Closes: #710785)
  * fix missing word in adb Description (Closes: #745358)
  * include AndroidConfig.h in builds (Closes: #700461)
  * include bash completion rules for adb and fastboot
  * fix build failure on ppc64el

  [ Ramakrishnan Muthukrishnan ]
  * include man page for fastboot (Closes: #741967)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 21 Oct 2014 22:39:19 -0400

android-tools (4.2.2+git20130529-3) unstable; urgency=low

  * Update my email address.

  [ Hilko Bengen <bengen@debian.org> ]
  * Fix previous local socket patch for adb
    (Closes: #715238, #716996, #717525)

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Jul 2013 23:51:22 +0200

android-tools (4.2.2+git20130529-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * adb: Use local socket by default (Closes: #694176)

 -- Hilko Bengen <bengen@debian.org>  Thu, 04 Jul 2013 23:28:34 +0200

android-tools (4.2.2+git20130529-2) unstable; urgency=low

  * Misc fixes to adbd upstart job.
  * Misc fixes to adbd env props support patch.
  * Bump up Standards-Version to 3.9.4.
  * Use canonical Vcs-Git format.

 -- Loïc Minier <lool@debian.org>  Wed, 19 Jun 2013 17:16:18 +0200

android-tools (4.2.2+git20130529-1) unstable; urgency=low

  * Drop Architecture: linux-any field in the Source control stanza as that
    breaks Launchpad and creates an useless delta with Ubuntu; drop it;
    inspired from changes by Logan Rosen in 4.2.2+git20130218-3ubuntu1.
  * Use uaccess in udev rules instead of deprecated udev-acl; thanks
    Martin Pitt.
  * Update udev rules to support more devices: 18d1:4e30 (fastboot on
    maguro/toro), 18d1:4ee0 (fastboot on mako/manta) and 18d1:d002 (adb
    recovery) and split rules in corresponding packages; from
    4.2.2+git20130218-3ubuntu3; thanks Sergio Schvezov.
  * Add Vcs-Git
  * Drop bogus external/zlib include in makefiles.
  * Rework the makefiles and build rules to use a builddir per component
    we're building.  This paves the way to building adbd and adb out of the
    same source, keeps the source tree clean and for some reason also fixes
    ccache.
  * Various changes and patches to help with adbd build:
    - adb.mk: Define _XOPEN_SOURCE _GNU_SOURCE as in Android.mk.
    - Add patch to use glibc syscall() for reboot.
    - Add patch to use linux/capability.h on linux systems.
    - Add patch to fake Android init properties via env vars.
    - Update create-snapshot script to pull more sources needed for adbd; pull
      libhardware includes from libhardware repo and private filesystem and
      capability includes from core repo.
    - Add local makefile to build adbd
  * On Ubuntu and derivatives, build adbd binary and corresponding package
    with upstart job taken from Ubuntu package 4.2.2+git20130218-3ubuntu9;
    this is disabled on Debian and derivatives because it's essentially a
    security hole in the form of an unauthenticated remote root shell.
  * New upstream snapshot 4.2.2+git20130529; this is mainly to pick up new
    source files but also picks up a number of minor upstream fixes.
    - Add build-dep on libcap-dev for sys/capability.h.
  * Add patch adbd-use-user-shell from Ubuntu by Stéphane Graber to use the
    running user's shell by default.

 -- Loïc Minier <lool@debian.org>  Wed, 19 Jun 2013 00:17:40 +0200
