=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

export CC := $(DEB_HOST_GNU_TYPE)-gcc
export SRCDIR := $(CURDIR)

M := $(CURDIR)/debian/makefiles

INSTALL := install
INSTALL_PROGRAM = $(INSTALL)

%:
	dh $@ --with python2 --with bash-completion

override_dh_clean:
	dh_clean
	rm -rf builddir/

override_dh_auto_build:
	mkdir -p builddir/adb
	$(MAKE) -f $(M)/adb.mk -C builddir/adb
	mkdir -p builddir/fastboot
	$(MAKE) -f $(M)/fastboot.mk -C builddir/fastboot
	mkdir -p builddir/ext4_utils
	$(MAKE) -f $(M)/ext4_utils.mk -C builddir/ext4_utils

override_dh_install:
	dh_install
	$(INSTALL_PROGRAM) core/libsparse/simg_dump.py debian/android-tools-fsutils/usr/bin/simg_dump
	$(INSTALL_PROGRAM) extras/ext4_utils/mkuserimg.sh debian/android-tools-fsutils/usr/bin/mkuserimg

override_dh_installudev:
	dh_installudev --priority=70
