## android-tools 5.1.1r36+git20160322

=== debian/changelog ===
android-tools (5.1.1r36+git20160322-0ubuntu5) yakkety; urgency=medium

  [ You-Sheng Yang ]
  * debian/rules, debian/control, debian/android-tools-adbd.*:
    - Install systemd service files

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 05 Oct 2016 13:32:02 +0200

android-tools (5.1.1r36+git20160322-0ubuntu4) yakkety; urgency=medium

  * debian/control, debian/rules:
    - Enable building android-tools-adbd for arm64.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 07 Jun 2016 11:54:35 +0200
