## android-tools 5.1.1.r29

=== debian/changelog ===
android-tools (5.1.1.r29-2) unstable; urgency=medium

  * Remove obsolete bash-completion files from older packages.
    (Closes: #805604)

 -- Ximin Luo <infinity0@debian.org>  Sat, 21 Nov 2015 00:49:23 +0100

android-tools (5.1.1.r29-1) unstable; urgency=medium

  [ Scott James Wakeling ]
  * Update Debian packaging to android 5.

  [ Ximin Luo ]
  * New upstream version.
    (Closes: #781332, #798305, #738119, #797273, #803485, #804097)
  * Mention `adb help` in man page. (Closes: #778975)
  * Fix documentation URLs. (Closes: #801363)

 -- Ximin Luo <infinity0@debian.org>  Thu, 12 Nov 2015 02:50:28 +0100
