## android-tools 5.1.1.r38

=== debian/changelog ===
android-tools (5.1.1.r38-1.1.lnd.1) unstable; urgency=medium

  * Add LoongArch64 support.

 -- Yaling Fang <fangyaling@loongson.cn>  Mon, 28 Mar 2022 11:26:55 +0800

android-tools (5.1.1.r38-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with glibc 2.25, thanks to Juhani Numminen, patch from
    openembedded by Thomas Petazzoni. Closes: #882975

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 11:46:55 +0000

android-tools (5.1.1.r38-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders field.
  * Add android-tools-mkbootimg package:
    - add debian/makefiles/mkbootimg.img
    - add debian/android-tools-mkbootimg.install
    - debian/control: add android-tools-mkbootimg package
    - debian/create-snapshot: add core/libmincrypt to gitignore, used to build
      mkbootimg.
    - debian/rules: build mkbootimg
  * Add android-tools-adbd package:
    - add debian/makefiles/adbd.mk
    - add debian/android-tools-adbd.install
    - debian/control: add android-tools-adbd package
    - debian/create-snapshot: add core/fs_mgr and core/liblog to gitignore,
      used to build adbd
  * Add patches:
    - fix-implicit-pointer-conversion.patch - fix an implicit pointer
      conversion.
    - preserve-ownership.patch - make_ext4fs doesn't preserve user/group
      ownership. Add -o argument to allow this feature.
    - mkbootimg-Add-dt-parameter-to-specify-DT-image.patch - support
      Qualcomm devices boot image. Add --dt argument to allow this feature.
    - remove-bionic-android.patch - remove bionic specific calls like gettid()
    - define-shell-command.patch - set the shell to "/bin/sh" as we intend to
      run the daemon on Linux, host or target.
    - fix-implicit-declaration-function.patch - fix implicit declaration by
      adding a few includes.
    - adb_libssl_11.diff and adb_libssl_bc.diff - add support OpenSSL 1.1 API
      changes.
  * Update debian/control:
    - Drop libselinux build dependency in favor of in-tree external/libselinux/.
    - drop android-system-dev obsolete build dependency. We use in-tree
      AndroidConfig.h from AOSP build repository. (Closes: #814600, #831254)
    - add libbsd-dev and libpcre3-dev build dependencies
  * Update debian/rules: map Debian Host architectures to Android
    architectures, used to include the architecture specific AndroidConfig.h
  * Clean up debian/makefiles/*.mk files and build with -std=gnu11 to fix
    build failure with GCC 4.9 on Jessie (default in GCC from 5.x).
  * Update debian/create-snapshot:
    - add libselinux and build repositories
    - adjust .gitignore accordingly
  * Update debian/makefiles:
    - use in-tree AndroidConfig.h since it isn't provided by android-system-dev
      package anymore.
    - add -DANDROID to ext4_utils.mk (Closes: #741510)

 -- Fathi Boudra <fabo@debian.org>  Tue, 20 Dec 2016 18:52:02 +0200
