=== debian/control ===
Source: android-tools
Section: devel
Priority: extra
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           Hans-Christoph Steiner <hans@eds.org>,
           Loïc Minier <lool@debian.org>,
           Ximin Luo <infinity0@debian.org>,
           Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               libbsd-dev,
               libcap-dev,
               libpcre3-dev,
               libssl-dev,
               python,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://developer.android.com/tools/help/adb.html
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-tools.git

# Package: android-tools-adb
# Architecture: amd64 arm64 armhf i386
# Depends: ${misc:Depends}, ${shlibs:Depends}
# Description: Android Debug Bridge CLI tool
#  Android Debug Bridge (adb) is a versatile tool that lets you manage the state
#  of an emulator instance or Android-powered device. It is a client-server
#  program that includes three components:
#  .
#  A client, which runs on your development machine. You can invoke a
#  client from a shell by issuing an adb command. Other Android tools such
#  as the ADT plugin and DDMS also create adb clients.
#  .
#  A server, which runs as a background process on your development
#  machine.  The server manages communication between the client and the
#  adb daemon running on an emulator or device.
#  .
#  A daemon, which runs as a background process on each emulator or device
#  instance.

# Package: android-tools-fastboot
# Architecture: amd64 arm64 armhf i386
# Depends: ${misc:Depends}, ${shlibs:Depends}
# Description: Android Fastboot protocol CLI tool
#  Fastboot is a diagnostic protocol primarily used to update the flash
#  filesystem of Android devices over USB.
#  .
#  This package provides the fastboot command-line tool.

Package: android-tools-fsutils
Architecture: amd64 arm64 armhf i386 loongarch64
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Android ext4 utilities with sparse support
 Android images (.img) are typically ext4 filesystems in a special
 sparse file format.  These are tools to help make that format.
 .
 This package provides the utilities to deal with Android sparse ext4
 images.

Package: android-tools-adbd
Architecture: amd64 arm64 armhf i386 loongarch64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Android Debug Bridge daemon
 Android Debug Bridge (adb) is a versatile tool that lets you manage the state
 of an emulator instance or Android-powered device. It is a client-server
 program that includes three components:
 .
 A client, which runs on your development machine. You can invoke a
 client from a shell by issuing an adb command. Other Android tools such
 as the ADT plugin and DDMS also create adb clients.
 .
 A server, which runs as a background process on your development
 machine.  The server manages communication between the client and the
 adb daemon running on an emulator or device.
 .
 A daemon, which runs as a background process on each emulator or device
 instance.
 .
 This package provides the daemon component.

Package: android-tools-mkbootimg
Architecture: amd64 arm64 armhf i386 loongarch64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Android tool to create Android boot images
 Creates Android boot images that includes kernel image and ramdisk, in a
 special format which can be used with fastboot.
 .
 This package provides the mkbootimg command-line tool.
